सामग्री पर जाएँ

LongCat Video Distilled · Text to Video · 720p

इंटीग्रेट करें

मॉडल id longcat-video/distilled/text-to-video/720p
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/distilled/text-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.054 54 API क्रेडिट · ≈ ₽5.80 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

रिफाइनमेंट स्टेप और 30 fps डिफ़ॉल्ट के साथ 720p पर डिस्टिल्ड टेक्स्ट-टू-वीडियो

Meituan · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण को निर्देशित करने वाला प्रॉम्प्ट।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो।

डिफ़ॉल्ट 162

निर्मित आउटपुट में फ़्रेम की संख्या।

उन्नत video_output_type · video_quality · video_write_mode · num_inference_steps · num_refine_inference_steps · fps · seed · enable_prompt_expansion · enable_safety_checker
video_output_type डिफ़ॉल्ट X264 (.mp4)

परिणामी वीडियो का आउटपुट प्रकार।

video_quality डिफ़ॉल्ट high

परिणामी वीडियो का गुणवत्ता स्तर।

video_write_mode डिफ़ॉल्ट balanced

परिणामी वीडियो का लेखन मोड।

डिफ़ॉल्ट 12

किए गए इन्फ़रेंस चरणों की संख्या।

डिफ़ॉल्ट 12

रिफाइनमेंट के दौरान किए गए इन्फ़रेंस चरणों की संख्या।

डिफ़ॉल्ट 30

आउटपुट वीडियो की फ़्रेम दर।

रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।

POST /run/longcat-video/distilled/text-to-video/720p?wait=20 कोटेशन → $0.054
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/longcat-video/distilled/text-to-video/720p?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

LongCat Video Distilled · Text to Video · 720p के बारे में

720p पर डिस्टिल्ड मॉडल से टेक्स्ट से वीडियो बनाता है। `num_inference_steps` और `num_refine_inference_steps` दोनों 2 से 16 (डिफ़ॉल्ट 12) स्वीकार करते हैं। `aspect_ratio` 16:9, 9:16 या 1:1 है, `num_frames` 17 से 961 तक (डिफ़ॉल्ट 162) होता है और fps का डिफ़ॉल्ट 30 है। आउटपुट mp4, webm, ProRes mov या GIF हो सकता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण को निर्देशित करने वाला प्रॉम्प्ट।
num_framesवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट162
17 – 961
निर्मित आउटपुट में फ़्रेम की संख्या।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
2 – 16
किए गए इन्फ़रेंस चरणों की संख्या।
num_refine_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट12
2 – 16
रिफाइनमेंट के दौरान किए गए इन्फ़रेंस चरणों की संख्या।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:1
आउटपुट वीडियो का आस्पेक्ट रेशियो।
fpsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट30
1 – 60
आउटपुट वीडियो की फ़्रेम दर।
seedवैकल्पिक
प्रकारinteger | null
रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नियंत्रित करता है कि प्रॉम्प्ट विस्तार सक्षम है या नहीं।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
खाता अनुमतियों के अधीन सुरक्षा-जांच टॉगल: अनधिकृत अनुरोधों के लिए जांच अनिवार्य रहती है और इन्हें अक्षम करने के लिए प्राधिकरण आवश्यक है।
video_output_typeवैकल्पिक
प्रकारenum
डिफ़ॉल्टX264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
परिणामी वीडियो का आउटपुट प्रकार।
video_qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टhigh
lowmediumhighmaximum
परिणामी वीडियो का गुणवत्ता स्तर।
video_write_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टbalanced
fastbalancedsmall
परिणामी वीडियो का लेखन मोड।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "longcat-video/distilled/text-to-video/720p",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 54,
    "usd": "0.054",
    "charged": 54,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "prompt": "realistic filming style, a person wearing a dark helmet, a deep-colored jacket, blue jeans, and bright yellow shoes rides a skateboard along a winding mountain road. The skateboarder starts in a standing position, then gradually lowers into a crouch, extending one hand to touch the road surface while maintaining a low center of gravity to navigate a sharp curve. After completing the turn, the skateboarder rises back to a standing position and continues gliding forward. The background features lush green hills flanking both sides of the road, with distant snow-capped mountain peaks rising against a clear, bright blue sky. The camera follows closely from behind, smoothly tracking the skateboarder’s movements and capturing the dynamic scenery along the route. The scene is shot in natural daylight, highlighting the vivid outdoor environment and the skateboarder’s fluid actions.",
    "seed": 42,
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
prompt
stringआउटपुट बनाने के लिए उपयोग किया गया प्रॉम्प्ट।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/longcat-video/distilled/text-to-video/720p.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt